### Hierarchy

- unknown
  - GetDisputeRequest

## Index

### Constructors

- constructor

### Methods

- getTradeId
- serializeBinary
- setTradeId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetDisputeRequest(): GetDisputeRequest

- Inherited from jspb.Message.constructor

  #### Returns GetDisputeRequest

## Methods

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:437

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:440

  #### Returns Uint8Array

### setTradeId

- setTradeId(value: string): GetDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:438

  #### Parameters

  - ##### value: string

  #### Returns GetDisputeRequest

### toObject

- toObject(includeInstance?: boolean): GetDisputeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:441

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetDisputeRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:444

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetDisputeRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetDisputeRequest, reader: BinaryReader): GetDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:445

  #### Parameters

  - ##### message: GetDisputeRequest

  - ##### reader: BinaryReader

  #### Returns GetDisputeRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetDisputeRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:443

  #### Parameters

  - ##### message: GetDisputeRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetDisputeRequest ): GetDisputeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:442

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetDisputeRequest

  #### Returns GetDisputeRequest . AsObject

Generated using TypeDoc